[arch-commits] Commit in vagrant-substrate/repos (4 files)
Jonathan Steel
jsteel at archlinux.org
Wed Mar 29 16:10:43 UTC 2017
Date: Wednesday, March 29, 2017 @ 16:10:43
Author: jsteel
Revision: 219881
archrelease: copy trunk to community-testing-i686, community-testing-x86_64
Added:
vagrant-substrate/repos/community-testing-i686/PKGBUILD
(from rev 219880, vagrant-substrate/trunk/PKGBUILD)
vagrant-substrate/repos/community-testing-x86_64/PKGBUILD
(from rev 219880, vagrant-substrate/trunk/PKGBUILD)
Deleted:
vagrant-substrate/repos/community-testing-i686/PKGBUILD
vagrant-substrate/repos/community-testing-x86_64/PKGBUILD
-----------------------------------+
/PKGBUILD | 144 ++++++++++++++++++++++++++++++++++++
community-testing-i686/PKGBUILD | 72 ------------------
community-testing-x86_64/PKGBUILD | 72 ------------------
3 files changed, 144 insertions(+), 144 deletions(-)
Deleted: community-testing-i686/PKGBUILD
===================================================================
--- community-testing-i686/PKGBUILD 2017-03-29 16:08:52 UTC (rev 219880)
+++ community-testing-i686/PKGBUILD 2017-03-29 16:10:43 UTC (rev 219881)
@@ -1,72 +0,0 @@
-# Maintainer: Jonathan Steel <jsteel at archlinux.org>
-
-pkgname=vagrant-substrate
-_pkgname=vagrant-installers
-pkgver=582.d66af96
-pkgrel=2
-pkgdesc="Substrate layer for Vagrant"
-arch=('i686' 'x86_64')
-url="http://vagrantup.com"
-license=('MIT')
-options=('!emptydirs' '!makeflags')
-makedepends=('git' 'puppet' 'chrpath' 'wget')
-depends=('lzo')
-source=(git://github.com/mitchellh/$_pkgname.git#commit=d66af96)
-md5sums=('SKIP')
-
-pkgver() {
- cd $_pkgname
-
- echo $(git rev-list --count HEAD).$(git describe --always)
-}
-
-prepare() {
- cd $_pkgname/substrate
-
- # Use $srcdir for the working directory
- sed -i "s:/vagrant-substrate:$srcdir/$_pkgname/vagrant-substrate:" \
- hiera/common.yaml
- sed -i "s:\"/opt/vagrant\":\"$srcdir/$_pkgname/opt/vagrant\":" \
- hiera/common.yaml
-
- # Use latest openssl
- sed -i 's/openssl-1.0.2e.tar.gz/openssl-1.0.2k.tar.gz/' \
- modules/openssl/manifests/init.pp
- # Disable SSLv3
- sed -i '16 s/shared/shared no-ssl3-method/' \
- modules/openssl/manifests/install/linux.pp
-
- # Don't create a zip of the substrate
- sed -i '48,50d' modules/vagrant_substrate/manifests/init.pp
-
- # Do not set file ownership
- find . -name *.pp -exec sed -i "/owner.*.=.*.root/d" {} +
- find . -name *.pp -exec sed -i "/group.*.=.*.root/d" {} +
-
- # Fix compile issues
- # https://github.com/mitchellh/vagrant-installers/issues/60
- sed -i '19 s/-I/-O2 -I/' modules/vagrant_substrate/manifests/staging/posix.pp
- # chmod u+w the file before chrpath
- sed -i 's/chrpath --replace/chmod u+w $name; chrpath --replace/' \
- modules/vagrant_substrate/manifests/staging/linux_chrpath.pp
-}
-
-build() {
- cd $_pkgname/substrate
-
- FACTER_param_output_dir="$srcdir" puppet apply \
- --detailed-exitcodes \
- --hiera_config=config/hiera.yaml --confdir=config \
- --modulepath=modules manifests/init.pp || test $? -eq 2
-}
-
-package() {
- cd $_pkgname
-
- install -d "$pkgdir"/opt
-
- cp -r vagrant-substrate/staging "$pkgdir"/opt/vagrant
-
- install -Dm644 LICENSE.md \
- "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
Copied: vagrant-substrate/repos/community-testing-i686/PKGBUILD (from rev 219880, vagrant-substrate/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD (rev 0)
+++ community-testing-i686/PKGBUILD 2017-03-29 16:10:43 UTC (rev 219881)
@@ -0,0 +1,72 @@
+# Maintainer: Jonathan Steel <jsteel at archlinux.org>
+
+pkgname=vagrant-substrate
+_pkgname=vagrant-installers
+pkgver=599.d7cedfe
+pkgrel=1
+pkgdesc="Substrate layer for Vagrant"
+arch=('i686' 'x86_64')
+url="http://vagrantup.com"
+license=('MIT')
+options=('!emptydirs' '!makeflags')
+makedepends=('git' 'puppet' 'chrpath' 'wget')
+depends=('lzo')
+source=(git://github.com/mitchellh/$_pkgname.git#commit=d7cedfe)
+md5sums=('SKIP')
+
+pkgver() {
+ cd $_pkgname
+
+ echo $(git rev-list --count HEAD).$(git describe --always)
+}
+
+prepare() {
+ cd $_pkgname/substrate
+
+ # Use $srcdir for the working directory
+ sed -i "s:/vagrant-substrate:$srcdir/$_pkgname/vagrant-substrate:" \
+ hiera/common.yaml
+ sed -i "s:\"/opt/vagrant\":\"$srcdir/$_pkgname/opt/vagrant\":" \
+ hiera/common.yaml
+
+ # Use latest openssl
+ sed -i 's/openssl-1.0.2e.tar.gz/openssl-1.0.2k.tar.gz/' \
+ modules/openssl/manifests/init.pp
+ # Disable SSLv3
+ sed -i '16 s/shared/shared no-ssl3-method/' \
+ modules/openssl/manifests/install/linux.pp
+
+ # Don't create a zip of the substrate
+ sed -i '48,50d' modules/vagrant_substrate/manifests/init.pp
+
+ # Do not set file ownership
+ find . -name *.pp -exec sed -i "/owner.*.=.*.root/d" {} +
+ find . -name *.pp -exec sed -i "/group.*.=.*.root/d" {} +
+
+ # Fix compile issues
+ # https://github.com/mitchellh/vagrant-installers/issues/60
+ sed -i '19 s/-I/-O2 -I/' modules/vagrant_substrate/manifests/staging/posix.pp
+ # chmod u+w the file before chrpath
+ sed -i 's/chrpath --replace/chmod u+w $name; chrpath --replace/' \
+ modules/vagrant_substrate/manifests/staging/linux_chrpath.pp
+}
+
+build() {
+ cd $_pkgname/substrate
+
+ FACTER_param_output_dir="$srcdir" puppet apply \
+ --detailed-exitcodes \
+ --hiera_config=config/hiera.yaml --confdir=config \
+ --modulepath=modules manifests/init.pp || test $? -eq 2
+}
+
+package() {
+ cd $_pkgname
+
+ install -d "$pkgdir"/opt
+
+ cp -r vagrant-substrate/staging "$pkgdir"/opt/vagrant
+
+ install -Dm644 LICENSE.md \
+ "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
Deleted: community-testing-x86_64/PKGBUILD
===================================================================
--- community-testing-x86_64/PKGBUILD 2017-03-29 16:08:52 UTC (rev 219880)
+++ community-testing-x86_64/PKGBUILD 2017-03-29 16:10:43 UTC (rev 219881)
@@ -1,72 +0,0 @@
-# Maintainer: Jonathan Steel <jsteel at archlinux.org>
-
-pkgname=vagrant-substrate
-_pkgname=vagrant-installers
-pkgver=582.d66af96
-pkgrel=2
-pkgdesc="Substrate layer for Vagrant"
-arch=('i686' 'x86_64')
-url="http://vagrantup.com"
-license=('MIT')
-options=('!emptydirs' '!makeflags')
-makedepends=('git' 'puppet' 'chrpath' 'wget')
-depends=('lzo')
-source=(git://github.com/mitchellh/$_pkgname.git#commit=d66af96)
-md5sums=('SKIP')
-
-pkgver() {
- cd $_pkgname
-
- echo $(git rev-list --count HEAD).$(git describe --always)
-}
-
-prepare() {
- cd $_pkgname/substrate
-
- # Use $srcdir for the working directory
- sed -i "s:/vagrant-substrate:$srcdir/$_pkgname/vagrant-substrate:" \
- hiera/common.yaml
- sed -i "s:\"/opt/vagrant\":\"$srcdir/$_pkgname/opt/vagrant\":" \
- hiera/common.yaml
-
- # Use latest openssl
- sed -i 's/openssl-1.0.2e.tar.gz/openssl-1.0.2k.tar.gz/' \
- modules/openssl/manifests/init.pp
- # Disable SSLv3
- sed -i '16 s/shared/shared no-ssl3-method/' \
- modules/openssl/manifests/install/linux.pp
-
- # Don't create a zip of the substrate
- sed -i '48,50d' modules/vagrant_substrate/manifests/init.pp
-
- # Do not set file ownership
- find . -name *.pp -exec sed -i "/owner.*.=.*.root/d" {} +
- find . -name *.pp -exec sed -i "/group.*.=.*.root/d" {} +
-
- # Fix compile issues
- # https://github.com/mitchellh/vagrant-installers/issues/60
- sed -i '19 s/-I/-O2 -I/' modules/vagrant_substrate/manifests/staging/posix.pp
- # chmod u+w the file before chrpath
- sed -i 's/chrpath --replace/chmod u+w $name; chrpath --replace/' \
- modules/vagrant_substrate/manifests/staging/linux_chrpath.pp
-}
-
-build() {
- cd $_pkgname/substrate
-
- FACTER_param_output_dir="$srcdir" puppet apply \
- --detailed-exitcodes \
- --hiera_config=config/hiera.yaml --confdir=config \
- --modulepath=modules manifests/init.pp || test $? -eq 2
-}
-
-package() {
- cd $_pkgname
-
- install -d "$pkgdir"/opt
-
- cp -r vagrant-substrate/staging "$pkgdir"/opt/vagrant
-
- install -Dm644 LICENSE.md \
- "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
Copied: vagrant-substrate/repos/community-testing-x86_64/PKGBUILD (from rev 219880, vagrant-substrate/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD (rev 0)
+++ community-testing-x86_64/PKGBUILD 2017-03-29 16:10:43 UTC (rev 219881)
@@ -0,0 +1,72 @@
+# Maintainer: Jonathan Steel <jsteel at archlinux.org>
+
+pkgname=vagrant-substrate
+_pkgname=vagrant-installers
+pkgver=599.d7cedfe
+pkgrel=1
+pkgdesc="Substrate layer for Vagrant"
+arch=('i686' 'x86_64')
+url="http://vagrantup.com"
+license=('MIT')
+options=('!emptydirs' '!makeflags')
+makedepends=('git' 'puppet' 'chrpath' 'wget')
+depends=('lzo')
+source=(git://github.com/mitchellh/$_pkgname.git#commit=d7cedfe)
+md5sums=('SKIP')
+
+pkgver() {
+ cd $_pkgname
+
+ echo $(git rev-list --count HEAD).$(git describe --always)
+}
+
+prepare() {
+ cd $_pkgname/substrate
+
+ # Use $srcdir for the working directory
+ sed -i "s:/vagrant-substrate:$srcdir/$_pkgname/vagrant-substrate:" \
+ hiera/common.yaml
+ sed -i "s:\"/opt/vagrant\":\"$srcdir/$_pkgname/opt/vagrant\":" \
+ hiera/common.yaml
+
+ # Use latest openssl
+ sed -i 's/openssl-1.0.2e.tar.gz/openssl-1.0.2k.tar.gz/' \
+ modules/openssl/manifests/init.pp
+ # Disable SSLv3
+ sed -i '16 s/shared/shared no-ssl3-method/' \
+ modules/openssl/manifests/install/linux.pp
+
+ # Don't create a zip of the substrate
+ sed -i '48,50d' modules/vagrant_substrate/manifests/init.pp
+
+ # Do not set file ownership
+ find . -name *.pp -exec sed -i "/owner.*.=.*.root/d" {} +
+ find . -name *.pp -exec sed -i "/group.*.=.*.root/d" {} +
+
+ # Fix compile issues
+ # https://github.com/mitchellh/vagrant-installers/issues/60
+ sed -i '19 s/-I/-O2 -I/' modules/vagrant_substrate/manifests/staging/posix.pp
+ # chmod u+w the file before chrpath
+ sed -i 's/chrpath --replace/chmod u+w $name; chrpath --replace/' \
+ modules/vagrant_substrate/manifests/staging/linux_chrpath.pp
+}
+
+build() {
+ cd $_pkgname/substrate
+
+ FACTER_param_output_dir="$srcdir" puppet apply \
+ --detailed-exitcodes \
+ --hiera_config=config/hiera.yaml --confdir=config \
+ --modulepath=modules manifests/init.pp || test $? -eq 2
+}
+
+package() {
+ cd $_pkgname
+
+ install -d "$pkgdir"/opt
+
+ cp -r vagrant-substrate/staging "$pkgdir"/opt/vagrant
+
+ install -Dm644 LICENSE.md \
+ "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
More information about the arch-commits
mailing list